<mat-list-item class="root-element">
  <button [routerLink]="['/vcs/tad/unit-roster']" routerLinkActive="router-link-active" mat-flat-button>
    <mat-icon [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']"
      [ngStyle]="{'color': isUnitRosterComplete ? completedColor : pendingColor}">
      {{isUnitRosterComplete ?'check_circle': 'watch_later'}}</mat-icon>
    <span class="sidenav-list main-list" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Unit
      Roster</span>
  </button>
</mat-list-item>
<mat-list-item class="root-element">
  <button [routerLink]="['/vcs/tad/referral-roster']" routerLinkActive="router-link-active" mat-flat-button>
    <mat-icon [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']"
      [ngStyle]="{'color': isReferralRosterComplete ? completedColor : pendingColor}">
      {{isReferralRosterComplete ?'check_circle': 'watch_later'}}</mat-icon>
    <span class="sidenav-list main-list"
      [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Referral Roster</span>
  </button>
</mat-list-item>
<mat-list-item class="root-element">
  <button [routerLink]="['/vcs/tad/tenant-roster']" routerLinkActive="router-link-active" mat-flat-button>
    <mat-icon [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']"
      [ngStyle]="{'color': isTenantRosterComplete ? completedColor : pendingColor}">
      {{isTenantRosterComplete ?'check_circle': 'watch_later'}}</mat-icon>
    <span class="sidenav-list main-list"
      [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Tenant Roster</span>
  </button>
</mat-list-item>
<mat-list-item class="root-element">
  <button [routerLink]="['/vcs/tad/tad-hp']" routerLinkActive="router-link-active" mat-flat-button>
    <mat-icon [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']"
      [ngStyle]="{'color': isTadHpComplete? completedColor : pendingColor}">
      {{isTadHpComplete ?'check_circle': 'watch_later'}}</mat-icon>
    <span class="sidenav-list main-list"
      [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">TAD</span>
  </button>
</mat-list-item>
